package de.hhu.ba.yoshikoWrapper.gui;

import java.text.DecimalFormat;
import java.text.NumberFormat;

import javax.swing.text.NumberFormatter;

public class FormatHelper {
	
	public static NumberFormatter getIntegerFormatter() {
		NumberFormat format = NumberFormat.getInstance();
	    NumberFormatter formatter = new NumberFormatter(format);
	    formatter.setValueClass(Integer.class);
	    formatter.setMinimum(0);
	    formatter.setMaximum(Integer.MAX_VALUE);
	    formatter.setCommitsOnValidEdit(true);
	    
	    return formatter;
	}

	public static NumberFormatter getDoubleFormatter(double minValue, double maxValue) {
		NumberFormat format = DecimalFormat.getInstance();
	    NumberFormatter formatter = new NumberFormatter(format);
	    formatter.setValueClass(Double.class);
	    formatter.setMinimum(minValue);
	    formatter.setMaximum(maxValue);
	    formatter.setCommitsOnValidEdit(true);
	    
	    return formatter;
	}

}
